> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/synchronize-binding.md).

# Sincronizar la vinculación

Usa `syncBindingState` para reconciliar el **vinculación del dispositivo** estado entre el SDK de Thales y el backend de Thales.

Llame a esto cuando sospeche que el estado del SDK está desactualizado. Esto puede ocurrir después de errores de red, reinstalación de la aplicación o vinculación del dispositivo interrumpida.

### Integración del SDK

Llamar `syncBindingState` y maneje el resultado en la devolución de llamada de éxito o error.

{% tabs %}
{% tab title="Android" %}
{% hint style="warning" %}
Esta llamada es asíncrona.

Invocar el `runOnUiThread(Runnable)` callback cuando necesite actualizar la interfaz de usuario.
{% endhint %}

```java
visaCTFHelper.syncBindingState(correlationId, 
                               vProvisionTokenId, 
                               new SyncBindingStateListener() {
            @Override
            public void onError(TMGClientException exception) { 
                // Manejar error
            }

            @Override
            public void onSuccess(BindingState bindingState) {
                // Use bindingState para elegir el siguiente flujo.
            }
        });
```

El SDK devuelve el estado de vinculación actual en `onSuccess`, o un error en `onError`.
{% endtab %}

{% tab title="iOS" %}
{% hint style="warning" %}
Esta llamada es asíncrona.

Invocar el `DispatchQueue.main.async` callback cuando necesite actualizar la interfaz de usuario.
{% endhint %}

```swift
let vProvisionedTokenID: String = ""
let correlationID: String = ""

// Iniciar sincronización del estado de vinculación
visaCTFHelper.syncBindingState(forVProvisionedTokenID: vProvisionedTokenID,
                                correlationID: correlationID) { (state, error) in
    if error == nil {
        // Use state para elegir el siguiente flujo.
    } else {
        // Manejar error
    } 
}
```

{% endtab %}
{% endtabs %}

### Próximos pasos

Use el devuelto `BindingState` para continuar con el flujo correcto:

* `NO VINCULADO`: Iniciar la vinculación del dispositivo. Ver [Crear vinculación de dispositivo (flujo verde)](/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/create-device-binding-green-flow.md).
* `PENDING_ACTIVATION`: Reanudar la vinculación del dispositivo. Esto normalmente significa que el emisor requirió **autenticación de escalado** usar un **métodos** método. Vea [Crear vinculación de dispositivo (flujo amarillo)](/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/create-device-binding-yellow-flow.md).
* `VINCULADO`: Autenticar transacciones. Ver [Autenticar una transacción](/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/authenticate-a-transaction.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/merchant-tokenization/es/ctf-y-daf-de-visa/implement-ctf-and-daf/synchronize-binding.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
